% Short guide: https://www.economics.utoronto.ca/osborne/latex/BIBTEX.HTM
% Examples of citingg: https://www.reed.edu/cis/help/LaTeX/bibtexstyles.html#seven

% \bibitem{gpt2} A. Radford, J. Wu, R. Child, D. Luan, D. Amodei, I. Sutskever (2019) \textit{
%   Language Models are Unsupervised Multitask Learners
% }.
@article{gpt2,
  title={Language Models are Unsupervised Multitask Learners},
  author={Radford, Alec and Wu, Jeff and Child, Rewon and Luan, David and Amodei, Dario and Sutskever, Ilya},
  year={2019}
}

% \bibitem[Keskar \textit{et al.}, 2019]{ctrl} N. S. Keskar, B, McCann, L. R. Varshney, C. Xiong, R. Socher (2019) \textit{
%   CTRL: A Conditional Transformer Language Model For Controllable Generation
%}.
@article{ctrl,
  title={{CTRL - A Conditional Transformer Language Model for Controllable Generation}},
  author={Keskar, Nitish Shirish and McCann, Bryan and Varshney, Lav and Xiong, Caiming and Socher, Richard},
  journal={arXiv preprint arXiv:1909.05858},
  year={2019}
}

%\bibitem{megatron} M. Shoeybi, M. Patwary, R. Puri, P. LeGresley. J. Casper, B. Catanzaro (2019) \textit{
%  Megatron-LM: Training Multi-Billion Parameter Language Models Using Model Parallelism
%}.
@article{megatron,
  title={Megatron-LM: Training Multi-Billion Parameter Language Models Using Model Parallelism},
  author={Mohammad Shoeybi and Mostofa Ali Patwary and Raul Puri and Patrick LeGresley and Jared Casper and Bryan Catanzaro},
  journal={ArXiv},
  year={2019},
  volume={abs/1909.08053}
}

%\bibitem{transformer}A. Vaswani, N. Shazeer, N. Parmar, J. Uszkoreit, L. Jones, A. N. Gomez, L. Kaiser, I. Polosukhin (2017) \textit{
%  Attention Is All You Need
%}.
@article{transformer,
  author    = {Ashish Vaswani and
               Noam Shazeer and
               Niki Parmar and
               Jakob Uszkoreit and
               Llion Jones and
               Aidan N. Gomez and
               Lukasz Kaiser and
               Illia Polosukhin},
  title     = {Attention Is All You Need},
  journal   = {CoRR},
  volume    = {abs/1706.03762},
  year      = {2017},
  url       = {http://arxiv.org/abs/1706.03762},
  archivePrefix = {arXiv},
  eprint    = {1706.03762},
  timestamp = {Mon, 13 Aug 2018 16:48:37 +0200},
  biburl    = {https://dblp.org/rec/journals/corr/VaswaniSPUJGKP17.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

%\bibitem{gan} I. Goodfellow, J. Pouget-Abadie, M. Mirza, B. Xu, D. Warde-Farley, S. Ozair, A. Courville, Y. Bengio (2014) \textit{
%  Generative Adversarial Nets
%}.
@article{gan,
  title={Generative Adversarial Networks},
  author={Ian J. Goodfellow and Jean Pouget-Abadie and Mehdi Mirza and Bing Xu and David Warde-Farley and Sherjil Ozair and Aaron C. Courville and Yoshua Bengio},
  journal={ArXiv},
  year={2014},
  volume={abs/1406.2661}
}

%\bibitem{seqgan} L. Yu, W. Zhang, J. Wang, Y. Yu (2017), \textit{SeqGAN: Sequence Generative Adversarial Nets with Policy Gradient}.
@article{seqgan,
  author    = {Lantao Yu and
               Weinan Zhang and
               Jun Wang and
               Yong Yu},
  title     = {SeqGAN: Sequence Generative Adversarial Nets with Policy Gradient},
  journal   = {CoRR},
  volume    = {abs/1609.05473},
  year      = {2016},
  url       = {http://arxiv.org/abs/1609.05473},
  archivePrefix = {arXiv},
  eprint    = {1609.05473},
  timestamp = {Sun, 21 Apr 2019 10:04:41 +0200},
  biburl    = {https://dblp.org/rec/journals/corr/YuZWY16.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

%\bibitem{leakgan} J. Guo, S. Lu, H. Cai, W. Zhang, Yo. Yu, J. Wang (2017) \textit{
%  Long Text Generation via Adversarial Training with Leaked Information
%}.
@inproceedings{leakgan,
  title={Long Text Generation via Adversarial Training with Leaked Information},
  author={Jiaxian Guo and Sidi Lu and Han Cai and Weinan Zhang and Yong Yu and Jun Wang},
  booktitle={AAAI},
  year={2017}
}

%\bibitem{apriori} R. Agrawal, R. Srikant (1994) \textit{
%  Fast Algorithms for Mining Association Rules
%}.
@inproceedings{apriori,
  acmid = {672836},
  added-at = {2016-11-26T13:15:06.000+0100},
  address = {San Francisco, CA, USA},
  author = {Agrawal, Rakesh and Srikant, Ramakrishnan},
  biburl = {https://www.bibsonomy.org/bibtex/2255ab37d32875266fd54103db2c20787/machinelearning},
  booktitle = {Proceedings of the 20th International Conference on Very Large Data Bases},
  interhash = {960c924ccbe1ff429a30f7433ec53122},
  intrahash = {255ab37d32875266fd54103db2c20787},
  isbn = {1-55860-153-8},
  keywords = {ml},
  numpages = {13},
  pages = {487--499},
  publisher = {Morgan Kaufmann Publishers Inc.},
  series = {VLDB '94},
  timestamp = {2016-11-26T13:17:02.000+0100},
  title = {Fast Algorithms for Mining Association Rules in Large Databases},
  url = {http://dl.acm.org/citation.cfm?id=645920.672836},
  year = 1994
}


%\bibitem[Ranzato \textit{et al.}, 2016]{mixer} M. Ranzato, S. Chopra, M. Auli, W. Zaremba (2016) \textit{
%  Sequence Level Training With Recurrent Neural Networks
%}.
@inproceedings{mixer,
  author    = {Marc'Aurelio Ranzato and
               Sumit Chopra and
               Michael Auli and
               Wojciech Zaremba},
  editor    = {Yoshua Bengio and
               Yann LeCun},
  title     = {Sequence Level Training with Recurrent Neural Networks},
  booktitle = {4th International Conference on Learning Representations, {ICLR} 2016,
               San Juan, Puerto Rico, May 2-4, 2016, Conference Track Proceedings},
  year      = {2016},
  url       = {http://arxiv.org/abs/1511.06732},
  timestamp = {Thu, 25 Jul 2019 14:25:39 +0200},
  biburl    = {https://dblp.org/rec/journals/corr/RanzatoCAZ15.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

%\bibitem{bleu} Kishore Papineni, Salim Roukos, Todd Ward, Wei-Jing Zhu (2002) \textit{
%  BLEU: a Method for Automatic Evaluation of Machine Translation
%}.
@inproceedings{bleu,
  author    = {Kishore Papineni and
               Salim Roukos and
               Todd Ward and
               Wei{-}Jing Zhu},
  title     = {Bleu: a Method for Automatic Evaluation of Machine Translation},
  booktitle = {Proceedings of the 40th Annual Meeting of the Association for Computational
               Linguistics, July 6-12, 2002, Philadelphia, PA, {USA}},
  pages     = {311--318},
  publisher = {{ACL}},
  year      = {2002},
  url       = {https://www.aclweb.org/anthology/P02-1040/},
  timestamp = {Tue, 17 Sep 2019 13:40:53 +0200},
  biburl    = {https://dblp.org/rec/conf/acl/PapineniRWZ02.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

%\bibitem{maskgan} William Fedus, Ian Goodfellow, Andrew M. Dai \textit{
%  MaskGAN: Better Text Generation Via Filling In The \_\_\_\_\_\_\_\_\_
%}.
@inproceedings{maskgan,
  author    = {William Fedus and
               Ian J. Goodfellow and
               Andrew M. Dai},
  title     = {MaskGAN: Better Text Generation via Filling in the {\_}{\_}{\_}{\_}{\_}{\_}{\_}},
  booktitle = {6th International Conference on Learning Representations, {ICLR} 2018,
               Vancouver, BC, Canada, April 30 - May 3, 2018, Conference Track Proceedings},
  publisher = {OpenReview.net},
  year      = {2018},
  url       = {https://openreview.net/forum?id=ByOExmWAb},
  timestamp = {Thu, 25 Jul 2019 14:25:46 +0200},
  biburl    = {https://dblp.org/rec/conf/iclr/FedusGD18.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

%\bibitem{teacherforcing} Ronald J. Williams, David Zipser(1989) \textit{
%  A Learning Algorithm for Continually Running Fully Recurrent Neural Networks
%}.
@article{teacherforcing,
  author    = {Ronald J. Williams and
               David Zipser},
  title     = {A Learning Algorithm for Continually Running Fully Recurrent Neural
               Networks},
  journal   = {Neural Computation},
  volume    = {1},
  number    = {2},
  pages     = {270--280},
  year      = {1989},
  url       = {https://doi.org/10.1162/neco.1989.1.2.270},
  doi       = {10.1162/neco.1989.1.2.270},
  timestamp = {Sun, 28 May 2017 13:19:03 +0200},
  biburl    = {https://dblp.org/rec/journals/neco/WilliamsZ89.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

%\bibitem[Lu \textit{et al.}, 2018]{pastpresentbeyond} Sidi Lu, Yaoming Zhu, Weinan Zhang, Jun Wang, Yong Yu \textit{
 % Neural Text Generation: Past, Present and Beyond
%}.
@article{pastpresentbeyond,
  author    = {Sidi Lu and
               Yaoming Zhu and
               Weinan Zhang and
               Jun Wang and
               Yong Yu},
  title     = {Neural Text Generation: Past, Present and Beyond},
  journal   = {CoRR},
  volume    = {abs/1803.07133},
  year      = {2018},
  url       = {http://arxiv.org/abs/1803.07133},
  archivePrefix = {arXiv},
  eprint    = {1803.07133},
  timestamp = {Sun, 21 Apr 2019 10:04:41 +0200},
  biburl    = {https://dblp.org/rec/journals/corr/abs-1803-07133.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

%\bibitem[Lamb \textit{et al.}, 2016]{professorforcing} Anirudh Goyal, Alex Lamb, Ying Zhang, Saizheng Zhang, Aaron Courville, Youshua Bengio (2016) \textit{
%  Professor forcing: a new algorithm for training recurrent networks.
%}.
@article{professorforcing,
  author    = {Alex Lamb and
               Anirudh Goyal and
               Ying Zhang and
               Saizheng Zhang and
               Aaron C. Courville and
               Yoshua Bengio},
  title     = {Professor Forcing: {A} New Algorithm for Training Recurrent Networks},
  journal   = {CoRR},
  volume    = {abs/1610.09038},
  year      = {2016},
  url       = {http://arxiv.org/abs/1610.09038},
  archivePrefix = {arXiv},
  eprint    = {1610.09038},
  timestamp = {Mon, 13 Aug 2018 16:47:40 +0200},
  biburl    = {https://dblp.org/rec/journals/corr/LambGZZCB16.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}


%\bibitem[Wiseman \textit{et al.}, 2019]{neuraltemplates} Sam Wiseman, Stuart M. Shieber, Alexander M. Rush (2019) \textit{
 % Learning Neural Templates for Text Generation
%}.
@inproceedings{neuraltemplates,
  author    = {Sam Wiseman and
               Stuart M. Shieber and
               Alexander M. Rush},
  editor    = {Ellen Riloff and
               David Chiang and
               Julia Hockenmaier and
               Jun'ichi Tsujii},
  title     = {Learning Neural Templates for Text Generation},
  booktitle = {Proceedings of the 2018 Conference on Empirical Methods in Natural
               Language Processing, Brussels, Belgium, October 31 - November 4, 2018},
  pages     = {3174--3187},
  publisher = {Association for Computational Linguistics},
  year      = {2018},
  url       = {https://doi.org/10.18653/v1/d18-1356},
  doi       = {10.18653/v1/d18-1356},
  timestamp = {Tue, 28 Jan 2020 10:28:07 +0100},
  biburl    = {https://dblp.org/rec/conf/emnlp/WisemanSR18.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

%\bibitem[Bartol-Jarosińska \textit{et al.}, 1998]{naukaojezyku} Danuta Bartol-Jarosińska, Stanisław Dubisz, Jerzy Podacki, Józef Porayski-Pomsta, Elżbieta Sękowska \textit{
%  Nauka o języku dla polonistów
%}, Książka i Wiedza, Warszawa, 1998.
@book{naukaojezyku,
    author = {Danuta Bartol-Jarosińska and
              Stanisław Dubisz and
              Jerzy Podracki and
              Józef Porayski-Pomsta and
              Elżbieta Sękowska},
    title = {Nauka o języku dla polonistów},
    pages = {186--209},
    publisher = {Książka i Wiedza},
    year = {1998},
    address = {Warszawa}
}

%\bibitem{adv_generation} Sai Rajeswar, Sandeep Subramanian, Francis Dutil, Christopher Pal, Aaron Courville (2017) \textit{
%  Adversarial Generation of Natural Language
%}.
@inproceedings{adv_generation,
  author    = {Sandeep Subramanian and
               Sai Rajeswar and
               Francis Dutil and
               Chris Pal and
               Aaron C. Courville},
  editor    = {Phil Blunsom and
               Antoine Bordes and
               Kyunghyun Cho and
               Shay B. Cohen and
               Chris Dyer and
               Edward Grefenstette and
               Karl Moritz Hermann and
               Laura Rimell and
               Jason Weston and
               Scott Yih},
  title     = {Adversarial Generation of Natural Language},
  booktitle = {Proceedings of the 2nd Workshop on Representation Learning for NLP,
               Rep4NLP@ACL 2017, Vancouver, Canada, August 3, 2017},
  pages     = {241--251},
  publisher = {Association for Computational Linguistics},
  year      = {2017},
  url       = {https://doi.org/10.18653/v1/w17-2629},
  doi       = {10.18653/v1/w17-2629},
  timestamp = {Tue, 28 Jan 2020 10:30:32 +0100},
  biburl    = {https://dblp.org/rec/conf/rep4nlp/SubramanianRDPC17.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

%\bibitem{rankgan} Kevin Lin, Dianqi Li, Xiaodong He, Zhengyou Zhang, Ming-Ting Sun (2018) \textit{
%  Adversarial Ranking for Language Generation
%}.
@inproceedings{rankgan,
  author    = {Kevin Lin and
               Dianqi Li and
               Xiaodong He and
               Ming{-}Ting Sun and
               Zhengyou Zhang},
  editor    = {Isabelle Guyon and
               Ulrike von Luxburg and
               Samy Bengio and
               Hanna M. Wallach and
               Rob Fergus and
               S. V. N. Vishwanathan and
               Roman Garnett},
  title     = {Adversarial Ranking for Language Generation},
  booktitle = {Advances in Neural Information Processing Systems 30: Annual Conference
               on Neural Information Processing Systems 2017, 4-9 December 2017,
               Long Beach, CA, {USA}},
  pages     = {3155--3165},
  year      = {2017},
  url       = {http://papers.nips.cc/paper/6908-adversarial-ranking-for-language-generation},
  timestamp = {Fri, 06 Mar 2020 17:00:21 +0100},
  biburl    = {https://dblp.org/rec/conf/nips/LinLHSZ17.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{bengio2003,
  author    = {Yoshua Bengio and
               R{\'{e}}jean Ducharme and
               Pascal Vincent and
               Christian Janvin},
  title     = {A Neural Probabilistic Language Model},
  journal   = {J. Mach. Learn. Res.},
  volume    = {3},
  pages     = {1137--1155},
  year      = {2003},
  url       = {http://jmlr.org/papers/v3/bengio03a.html},
  timestamp = {Wed, 10 Jul 2019 15:28:33 +0200},
  biburl    = {https://dblp.org/rec/journals/jmlr/BengioDVJ03.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@book{deeplearningbook,
    title={Deep Learning},
    author={Ian Goodfellow and Yoshua Bengio and Aaron Courville},
    publisher={MIT Press},
    note={\url{http://www.deeplearningbook.org}},
    year={2016}
}

@article{isdifficult,
  author    = {Yoshua Bengio and
               Patrice Y. Simard and
               Paolo Frasconi},
  title     = {Learning long-term dependencies with gradient descent is difficult},
  journal   = {{IEEE} Trans. Neural Networks},
  volume    = {5},
  number    = {2},
  pages     = {157--166},
  year      = {1994},
  url       = {https://doi.org/10.1109/72.279181},
  doi       = {10.1109/72.279181},
  timestamp = {Wed, 14 Nov 2018 10:32:39 +0100},
  biburl    = {https://dblp.org/rec/journals/tnn/BengioSF94.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{lstm,
  author    = {Sepp Hochreiter and
               J{\"{u}}rgen Schmidhuber},
  title     = {Long Short-Term Memory},
  journal   = {Neural Computation},
  volume    = {9},
  number    = {8},
  pages     = {1735--1780},
  year      = {1997},
  url       = {https://doi.org/10.1162/neco.1997.9.8.1735},
  doi       = {10.1162/neco.1997.9.8.1735},
  timestamp = {Wed, 14 Nov 2018 10:31:22 +0100},
  biburl    = {https://dblp.org/rec/journals/neco/HochreiterS97.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{gru,
  author    = {Kyunghyun Cho and
               Bart van Merrienboer and
               {\c{C}}aglar G{\"{u}}l{\c{c}}ehre and
               Dzmitry Bahdanau and
               Fethi Bougares and
               Holger Schwenk and
               Yoshua Bengio},
  editor    = {Alessandro Moschitti and
               Bo Pang and
               Walter Daelemans},
  title     = {Learning Phrase Representations using {RNN} Encoder-Decoder for Statistical
               Machine Translation},
  booktitle = {Proceedings of the 2014 Conference on Empirical Methods in Natural
               Language Processing, {EMNLP} 2014, October 25-29, 2014, Doha, Qatar,
               {A} meeting of SIGDAT, a Special Interest Group of the {ACL}},
  pages     = {1724--1734},
  publisher = {{ACL}},
  year      = {2014},
  url       = {https://doi.org/10.3115/v1/d14-1179},
  doi       = {10.3115/v1/d14-1179},
  timestamp = {Tue, 28 Jan 2020 10:28:17 +0100},
  biburl    = {https://dblp.org/rec/conf/emnlp/ChoMGBBSB14.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{seq2seq_with_attention,
  author    = {Dzmitry Bahdanau and
               Kyunghyun Cho and
               Yoshua Bengio},
  editor    = {Yoshua Bengio and
               Yann LeCun},
  title     = {Neural Machine Translation by Jointly Learning to Align and Translate},
  booktitle = {3rd International Conference on Learning Representations, {ICLR} 2015,
               San Diego, CA, USA, May 7-9, 2015, Conference Track Proceedings},
  year      = {2015},
  url       = {http://arxiv.org/abs/1409.0473},
  timestamp = {Wed, 17 Jul 2019 10:40:54 +0200},
  biburl    = {https://dblp.org/rec/journals/corr/BahdanauCB14.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{scheduled_sampling,
  author    = {Samy Bengio and
               Oriol Vinyals and
               Navdeep Jaitly and
               Noam Shazeer},
  editor    = {Corinna Cortes and
               Neil D. Lawrence and
               Daniel D. Lee and
               Masashi Sugiyama and
               Roman Garnett},
  title     = {Scheduled Sampling for Sequence Prediction with Recurrent Neural Networks},
  booktitle = {Advances in Neural Information Processing Systems 28: Annual Conference
               on Neural Information Processing Systems 2015, December 7-12, 2015,
               Montreal, Quebec, Canada},
  pages     = {1171--1179},
  year      = {2015},
  url       = {http://papers.nips.cc/paper/5956-scheduled-sampling-for-sequence-prediction-with-recurrent-neural-networks},
  timestamp = {Fri, 06 Mar 2020 16:56:55 +0100},
  biburl    = {https://dblp.org/rec/conf/nips/BengioVJS15.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{kim_cnn,
  author    = {Yoon Kim},
  editor    = {Alessandro Moschitti and
               Bo Pang and
               Walter Daelemans},
  title     = {Convolutional Neural Networks for Sentence Classification},
  booktitle = {Proceedings of the 2014 Conference on Empirical Methods in Natural
               Language Processing, {EMNLP} 2014, October 25-29, 2014, Doha, Qatar,
               {A} meeting of SIGDAT, a Special Interest Group of the {ACL}},
  pages     = {1746--1751},
  publisher = {{ACL}},
  year      = {2014},
  url       = {https://doi.org/10.3115/v1/d14-1181},
  doi       = {10.3115/v1/d14-1181},
  timestamp = {Tue, 28 Jan 2020 10:28:12 +0100},
  biburl    = {https://dblp.org/rec/conf/emnlp/Kim14.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{highway_networks,
  author    = {Rupesh Kumar Srivastava and
               Klaus Greff and
               J{\"{u}}rgen Schmidhuber},
  title     = {Highway Networks},
  journal   = {CoRR},
  volume    = {abs/1505.00387},
  year      = {2015},
  url       = {http://arxiv.org/abs/1505.00387},
  archivePrefix = {arXiv},
  eprint    = {1505.00387},
  timestamp = {Mon, 13 Aug 2018 16:48:21 +0200},
  biburl    = {https://dblp.org/rec/journals/corr/SrivastavaGS15.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{tensor2tensor,
  author    = {Ashish Vaswani and Samy Bengio and Eugene Brevdo and
    Francois Chollet and Aidan N. Gomez and Stephan Gouws and Llion Jones and
    \L{}ukasz Kaiser and Nal Kalchbrenner and Niki Parmar and Ryan Sepassi and
    Noam Shazeer and Jakob Uszkoreit},
  title     = {Tensor2Tensor for Neural Machine Translation},
  journal   = {CoRR},
  volume    = {abs/1803.07416},
  year      = {2018},
  url       = {http://arxiv.org/abs/1803.07416},
}

@article{transformer_tips,
  author    = {Martin Popel and
               Ondrej Bojar},
  title     = {Training Tips for the Transformer Model},
  journal   = {Prague Bull. Math. Linguistics},
  volume    = {110},
  pages     = {43--70},
  year      = {2018},
  url       = {http://ufal.mff.cuni.cz/pbml/110/art-popel-bojar.pdf},
  timestamp = {Fri, 24 May 2019 11:51:06 +0200},
  biburl    = {https://dblp.org/rec/journals/pbml/PopelB18.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{
  pplm,
  title={Plug and Play Language Models: A Simple Approach to Controlled Text Generation},
  author={Sumanth Dathathri and Andrea Madotto and Janice Lan and Jane Hung and Eric Frank and Piero Molino and Jason Yosinski and Rosanne Liu},
  booktitle={International Conference on Learning Representations},
  year={2020},
  url={https://openreview.net/forum?id=H1edEyBKDS}
}

@article{gpt2_ft_rl,
  author    = {Daniel M. Ziegler and
               Nisan Stiennon and
               Jeffrey Wu and
               Tom B. Brown and
               Alec Radford and
               Dario Amodei and
               Paul Christiano and
               Geoffrey Irving},
  title     = {Fine-Tuning Language Models from Human Preferences},
  journal   = {CoRR},
  volume    = {abs/1909.08593},
  year      = {2019},
  url       = {http://arxiv.org/abs/1909.08593},
  archivePrefix = {arXiv},
  eprint    = {1909.08593},
  timestamp = {Tue, 24 Sep 2019 11:33:51 +0200},
  biburl    = {https://dblp.org/rec/journals/corr/abs-1909-08593.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{kukich_83,
  author    = {Karen Kukich},
  editor    = {Mitchell P. Marcus},
  title     = {Design of a Knowledge-Based Report Generator},
  booktitle = {21st Annual Meeting of the Association for Computational Linguistics,
               Massachusetts Institute of Technology, Cambridge, Massachusetts, USA,
               June 15-17, 1983},
  pages     = {145--150},
  publisher = {{ACL}},
  year      = {1983},
  url       = {https://www.aclweb.org/anthology/P83-1022/},
  doi       = {10.3115/981311.981340},
  timestamp = {Mon, 18 May 2020 15:12:40 +0200},
  biburl    = {https://dblp.org/rec/conf/acl/Kukich83.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{gltr,
  author    = {Sebastian Gehrmann and
               Hendrik Strobelt and
               Alexander M. Rush},
  editor    = {Marta R. Costa{-}juss{\`{a}} and
               Enrique Alfonseca},
  title     = {{GLTR:} Statistical Detection and Visualization of Generated Text},
  booktitle = {Proceedings of the 57th Conference of the Association for Computational
               Linguistics, {ACL} 2019, Florence, Italy, July 28 - August 2, 2019,
               Volume 3: System Demonstrations},
  pages     = {111--116},
  publisher = {Association for Computational Linguistics},
  year      = {2019},
  url       = {https://doi.org/10.18653/v1/p19-3019},
  doi       = {10.18653/v1/p19-3019},
  timestamp = {Tue, 28 Jan 2020 10:27:14 +0100},
  biburl    = {https://dblp.org/rec/conf/acl/GehrmannSR19.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{yag,
  author    = {Susan Weber McRoy and
               Songsak Channarukul and
               Syed S. Ali},
  editor    = {Michael Elhadad},
  title     = {{YAG:} {A} Template-Based Generator for Real-Time Systems},
  booktitle = {{INLG} 2000 - Proceedings of the First International Natural Language
               Generation Conference, June 12-16, 2000, Mitzpe Ramon, Israel},
  pages     = {264--267},
  publisher = {The Association for Computer Linguistics},
  year      = {2000},
  url       = {https://www.aclweb.org/anthology/W00-1437/},
  doi       = {10.3115/1118253.1118293},
  timestamp = {Wed, 20 May 2020 13:52:01 +0200},
  biburl    = {https://dblp.org/rec/conf/inlg/McRoyCA00.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@book{drt,
  author    = {Hans Kamp and
               Uwe Reyle},
  title     = {From Discourse to Logic - Introduction to Modeltheoretic Semantics
               of Natural Language, Formal Logic and Discourse Representation Theory},
  series    = {Studies in linguistics and philosophy},
  volume    = {42},
  publisher = {Springer},
  year      = {1993},
  url       = {https://doi.org/10.1007/978-94-017-1616-1},
  doi       = {10.1007/978-94-017-1616-1},
  isbn      = {978-0-7923-1028-0},
  timestamp = {Tue, 16 May 2017 14:01:41 +0200},
  biburl    = {https://dblp.org/rec/books/daglib/0031961.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{howald_2013,
  author    = {Blake Howald and
               Ravikumar Kondadadi and
               Frank Schilder},
  editor    = {Katrin Erk and
               Alexander Koller},
  title     = {Domain Adaptable Semantic Clustering in Statistical {NLG}},
  booktitle = {Proceedings of the 10th International Conference on Computational
               Semantics, {IWCS} 2013, March 19-22, 2013, University of Potsdam,
               Potsdam, Germany},
  pages     = {143--154},
  publisher = {The Association for Computer Linguistics},
  year      = {2013},
  url       = {https://www.aclweb.org/anthology/W13-0113/},
  timestamp = {Wed, 18 Sep 2019 12:47:55 +0200},
  biburl    = {https://dblp.org/rec/conf/iwcs/HowaldKS13.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{reiter_2005,
  author    = {Ehud Reiter and
               Somayajulu Sripada and
               Jim Hunter and
               Jin Yu and
               Ian Davy},
  title     = {Choosing words in computer-generated weather forecasts},
  journal   = {Artif. Intell.},
  volume    = {167},
  number    = {1-2},
  pages     = {137--169},
  year      = {2005},
  url       = {https://doi.org/10.1016/j.artint.2005.06.006},
  doi       = {10.1016/j.artint.2005.06.006},
  timestamp = {Wed, 14 Nov 2018 10:49:59 +0100},
  biburl    = {https://dblp.org/rec/journals/ai/ReiterSHYD05.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{boxer,
  author    = {Johan Bos},
  editor    = {Johan Bos and
               Rodolfo Delmonte},
  title     = {Wide-Coverage Semantic Analysis with Boxer},
  booktitle = {Semantics in Text Processing. {STEP} 2008 Conference Proceedings,
               Venice, Italy, September 22-24, 2008},
  publisher = {Association for Computational Linguistics},
  year      = {2008},
  url       = {https://www.aclweb.org/anthology/W08-2222/},
  timestamp = {Wed, 11 Sep 2019 16:27:15 +0200},
  biburl    = {https://dblp.org/rec/conf/acl-step/Bos08a.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{e2e_dataset,
  title={The {E2E} Dataset: New Challenges for End-to-End Generation},
  author={Novikova, Jekaterina and Du{\v{s}}ek, Ondrej and Rieser, Verena},
  booktitle={Proceedings of the 18th Annual Meeting of the Special Interest 
             Group on Discourse and Dialogue},
  address={Saarbr\"ucken, Germany},
  year={2017},
  note={arXiv:1706.09254},
  url={https://arxiv.org/abs/1706.09254},
}

@inproceedings{charcnn,
  author    = {Xiang Zhang and
               Junbo Jake Zhao and
               Yann LeCun},
  editor    = {Corinna Cortes and
               Neil D. Lawrence and
               Daniel D. Lee and
               Masashi Sugiyama and
               Roman Garnett},
  title     = {Character-level Convolutional Networks for Text Classification},
  booktitle = {Advances in Neural Information Processing Systems 28: Annual Conference
               on Neural Information Processing Systems 2015, December 7-12, 2015,
               Montreal, Quebec, Canada},
  pages     = {649--657},
  year      = {2015},
  url       = {http://papers.nips.cc/paper/5782-character-level-convolutional-networks-for-text-classification},
  timestamp = {Fri, 13 Mar 2020 16:29:39 +0100},
  biburl    = {https://dblp.org/rec/conf/nips/ZhangZL15.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{gpt3,
  author    = {Tom B. Brown and
               Benjamin Mann and
               Nick Ryder and
               Melanie Subbiah and
               Jared Kaplan and
               Prafulla Dhariwal and
               Arvind Neelakantan and
               Pranav Shyam and
               Girish Sastry and
               Amanda Askell and
               Sandhini Agarwal and
               Ariel Herbert{-}Voss and
               Gretchen Krueger and
               Tom Henighan and
               Rewon Child and
               Aditya Ramesh and
               Daniel M. Ziegler and
               Jeffrey Wu and
               Clemens Winter and
               Christopher Hesse and
               Mark Chen and
               Eric Sigler and
               Mateusz Litwin and
               Scott Gray and
               Benjamin Chess and
               Jack Clark and
               Christopher Berner and
               Sam McCandlish and
               Alec Radford and
               Ilya Sutskever and
               Dario Amodei},
  title     = {Language Models are Few-Shot Learners},
  journal   = {CoRR},
  volume    = {abs/2005.14165},
  year      = {2020},
  url       = {https://arxiv.org/abs/2005.14165},
  archivePrefix = {arXiv},
  eprint    = {2005.14165},
  timestamp = {Wed, 03 Jun 2020 11:36:54 +0200},
  biburl    = {https://dblp.org/rec/journals/corr/abs-2005-14165.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}